* diagnostics-sol.inc

DISPLAY "#### START: diagnostics-sol.inc";    

* CNS
IF ((MCP01 NE 1 AND IEEM.MODELSTAT NE 16),
  ABORT 'error solving IEEM; MODELSTAT <> 16';
);

* MCP
IF ((MCP01 EQ 1 AND IEEM.MODELSTAT NE 1),
  ABORT 'error solving IEEM; MODELSTAT <> 1';
);

* check walras law
IF ((ABS(WALRAS.L(tsol))>0.0001),
  ABORT 'error solving IEEM; WALRAS <> 0';
);





DISPLAY "#### END: diagnostics-sol.inc";    
